Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.io
Interface StreamConnection

All Known Implementing Classes:
  BTConnection

    public interface StreamConnection

This interface defines the capabilities that a stream connection must have. StreamConnections have one underlying InputStream and one OutputStream. Opening a DataInputStream counts as opening an InputStream and opening a DataOutputStream counts as opening an OutputStream. Trying to open another InputStream or OutputStream causes an IOException. Trying to open the InputStream or OutputStream after they have been closed causes an IOException

Method Summary
`void` | `close()` Close the stream connection
`DataInputStream` | `openDataInputStream()` Open and return a DataInputStream - not yet implemented.
`DataOutputStream` | `openDataOutputStream()` Open and return a DataOutputStream - not yet implemented.
`InputStream` | `openInputStream()` Open and return an InputStream - not yet implemented.
`OutputStream` | `openOutputStream()` Open and return an OutputStream - not yet implemented.

Method Detail

### close

    void close()
               throws IOException

  Close the stream connection

  Throws:
    `IOException`

### openInputStream

    InputStream openInputStream()
                                throws IOException

  Open and return an InputStream - not yet implemented.

  Throws:
    `IOException`

### openDataInputStream

    DataInputStream openDataInputStream()
                                        throws IOException

  Open and return a DataInputStream - not yet implemented.

  Throws:
    `IOException`

### openOutputStream

    OutputStream openOutputStream()
                                  throws IOException

  Open and return an OutputStream - not yet implemented.

  Throws:
    `IOException`

### openDataOutputStream

    DataOutputStream openDataOutputStream()
                                          throws IOException

  Open and return a DataOutputStream - not yet implemented.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD